////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 1/5/2016	ELL
//
var param_array = {'popup_msg_type' : 1, 'status_msg' : '', 'popup_timeout' : -1};
var popup_msg = new PopupMsg(param_array);

window.parent.document.title = document.title;

var image_row;

function OpenHelpWindow()
{
	window.open("http://breezewebsitebuilder.com/docs/cms/help.html#plugins#photo_gallery", "Help", "scrollbars=1,resizable=1,status=0,toolbar=0,menubar=0,location=0,height=700,width=800");
}

//////////////////////////////////////////////////////////////////////////////////////
function ResizeGallery()
{
	var full_width = document.getElementById("full_width").value;
	var full_height = document.getElementById("full_height").value;
	var thumb_width = document.getElementById("thumb_width").value;
	var thumb_height = document.getElementById("thumb_height").value;
	
	var preserve_thumb_aspect;
	if (document.getElementById("preserve_thumb_aspect").checked === true)
		preserve_thumb_aspect = 1;
	else
		preserve_thumb_aspect = 0;
		
	var show_titles;
	if (document.getElementById("show_titles").checked === true)
		show_titles = 1;
	else
		show_titles = 0;
		
	var disable_sort;
	if (document.getElementById("disable_sort").checked === true)
		disable_sort = 1;
	else
		disable_sort = 0;
		
	document.getElementById("uploading_div").style.visibility = "visible";
	document.getElementById("uploading_span").innerHTML = MANAGE_GALLERY_SAVING_PARAMS_MSG;
		
	$.post( "resize_gallery.php", { full_width: full_width, full_height: full_height, thumb_width: thumb_width, thumb_height: thumb_height, preserve_thumb_aspect: preserve_thumb_aspect, show_titles: show_titles, disable_sort: disable_sort } ).done(CompleteResizeGallery) ;
}
function CompleteResizeGallery(data)
{
	document.getElementById("uploading_div").style.visibility = "hidden";
	
	popup_msg.top_offset = 0;
	popup_msg.left_offset = 300;
	popup_msg.popup_msg_type = 1;
	if (data > 0)	{
		popup_msg.status_msg = MANAGE_GALLERY_UPDATE_SUCCESS_MSG;
		popup_msg.popup_timeout = 3000;
	}
	else	{
		popup_msg.status_msg = MANAGE_GALLERY_UPDATE_FAIL_ERR + ": " + data;
		popup_msg.popup_timeout = 5000;
	}
	popup_msg.ShowPopupMsg();
}

function SaveTitle(i)
{
	var image_el = "image" + i;
	var title_el = "title" + i;
	var sort_order_el = "sort_order" + i;
	
	var image = document.getElementById(image_el).value;
	var title = document.getElementById(title_el).value;
	var sort_order = document.getElementById(sort_order_el).value;
	
	$.post( "save_gallery_titles.php", { image: image, title: title, sort_order: sort_order } ).done(CompleteSaveTitle) ;
}
function CompleteSaveTitle(data)
{
	popup_msg.top_offset = 0;
	popup_msg.left_offset = 300;
	popup_msg.popup_msg_type = 1;
	popup_msg.status_msg = MANAGE_GALLERY_UPDATE_TITLE_SUCCESS_MSG;
	popup_msg.popup_timeout = 3000;
	popup_msg.ShowPopupMsg();
}

function ShowLargeImage(image_path)
{
	var top_offset = -100;
	var left_offset = 100;
	
	document.getElementById("blowup_img").src = image_path;
	var code = "document.getElementById('blowup_img').src = '" + image_path + "';";
	var mTimer = setTimeout(code, 5000);
	
	var ntop;
	ntop = tempY + top_offset;
	
	if (ntop < 500)
		ntop = ntop + 50;
	else
		ntop = ntop - 200;
	var strtop = ntop + "px";
	var strleft = left_offset + "px";
	
	document.getElementById("blowup_div").style.display = "block";
	document.getElementById("blowup_div").style.position = "absolute";
	document.getElementById("blowup_div").style.top = strtop;
	document.getElementById("blowup_div").style.left = strleft;
}

function HideLargeImage()
{
	document.getElementById("blowup_div").style.display = "none";
}

function DeleteConfirm(i)
{
	popup_msg.top_offset = 0;
	popup_msg.left_offset = 300;
	popup_msg.popup_msg_type = 3;
	popup_msg.popup_btn_cnt = 2;
	var image_el = "image" + i;
	var delete_text = document.getElementById(image_el).value;
	popup_msg.popup_msg_cell = MANAGE_GALLERY_DELETE_IMAGE_CONFIRM_1_MSG + " <b>" + delete_text + "</b>" + MANAGE_GALLERY_DELETE_IMAGE_CONFIRM_2_MSG;
	popup_msg.popup_button_2_span = YES_WORD;
	popup_msg.popup_button_1_span = NO_WORD;
	popup_msg.popup_timeout = -1;
	popup_msg.ShowPopupMsg();
	document.getElementById("popup_button_2_span").onclick = function () { DeleteImage(i); };
	document.getElementById("popup_button_1_span").onclick = function () { HidePopupMsg(); };
}

function DeleteImage(i)
{
	var image_el = "image" + i;
	var image_delete = document.getElementById(image_el).value;
	image_row = i;
	HidePopupMsg();
	
	$.post( "delete_gallery_image.php", { image: image_delete } ).done(CompleteDeleteImage) ;
}
function CompleteDeleteImage(data)
{
	popup_msg.top_offset = 0;
	popup_msg.left_offset = 320;
	popup_msg.popup_msg_type = 1;
	if (data == 1)	{
		popup_msg.status_msg = MANAGE_GALLERY_DELETE_IMAGE_SUCCESS_MSG;
		popup_msg.popup_timeout = 2000;
	}
	else	{
		popup_msg.status_msg = MANAGE_GALLERY_DELETE_IMAGE_FAIL_ERR;
		popup_msg.popup_timeout = 5000;
	}
	popup_msg.ShowPopupMsg();
	
	var row_el = "row" + image_row;
	document.getElementById(row_el).style.display = "none";
}

function ShowUploading()
{
	document.getElementById("uploading_div").style.visibility = "visible";
	document.getElementById("uploading_span").innerHTML = MANAGE_GALLERY_UPLOADING_IMAGES_MSG;
}

function GetGalleryImages()
{
	$.post( "get_gallery_images.php", { } ).done(PopulateGalleryImages) ;
}
function PopulateGalleryImages(data)
{
	var files = data.split("@@@@@");
	var JSON_row;
	
	var html = "<table align='center' class='image_table'>\n";
	html = html + "<tr style='background-color:#CCC;'><td>&nbsp;</td><td class='bold'>" + TITLE_WORD + ":</td><td class='bold'>" + SORT_ORDER + "</td><td colspan='2'>&nbsp;</td></tr>\n";

	var i = 0;
	var bgcolor = "#EEE";
	for (var i = 0; i < files.length; i++)
	{
		JSON_row = JSON.parse(files[i]);
		
		html = html + "<tr style='background-color:" + bgcolor + ";' id='row" + i +"'><td><img src='" + orig_image_path_rel + JSON_row.file + "' width='" + thumb_width + "' height='" + thumb_height + "' onclick=\"ShowLargeImage('" + orig_image_path_rel + JSON_row.file + "');\" style='cursor:pointer;' />\n";
		html = html + "<input type='hidden' name='image" + i + "' id='image" + i + "' value='" + JSON_row.file + "' /></td>\n";
		html = html + "<td align='center'><input type='text' name='title" + i + "' id='title" + i + "' class='image_title' value='" + JSON_row.title + "' />\n";
		html = html + "<br /><span class='small_message'>" + JSON_row.file + "</span></td>\n";
		html = html + "<td align='center'><input type='text' name='sort_order" + i + "' id='sort_order" + i + "' class='sort' value='" + JSON_row.sort_order + "' /></td>\n";
		html = html + "<td align='center'><div class='button_console_save_sm' style='width:90px;' onClick='SaveTitle(" + i + ");'><span class='button_console_text_w_sm_icon'>" + EDITOR_SAVE + "</span></div></td>\n";
		html = html + "<td align='center'><img src='../theme/" + theme + "/images/delete.png' alt='" + MANAGE_GALLERY_DELETE_IMAGE + "' border='0' onClick=\"DeleteConfirm(" + i + ");\" style='cursor:pointer;' /></td></tr>\n";
		if (bgcolor == "#EEE")
			bgcolor = "#DDD";
		else
			bgcolor = "#EEE";
	}
	
	html = html + "</table>\n";
	document.getElementById("image_table_div").innerHTML = html;
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////
function ResizeWorkspace(mainWidth, mainHeight, menuWidth, headerHeight) {

}

function DisplayNotSavedMessage(btn)	{
	// Needed to complete call when deleting unsaved page.
	window.parent.SetWorkSavedNotSaved(true);
	window.parent.next_btn = btn;
	window.parent.DoNextClick();
}